# 生产环境配置

# 数据源配置
spring:
  datasource:
    dynamic:
      primary: master
      strict: false
      datasource:
        master:
          url: jdbc:mysql://47.119.165.234:13308/clinic?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai
          username: clinic
          password: kB7nMpFcG256PrBM
          driver-class-name: com.mysql.cj.jdbc.Driver
          type: com.alibaba.druid.pool.DruidDataSource
        gxwebsoft_core:
          url: jdbc:mysql://47.119.165.234:13308/gxwebsoft_core?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai
          username: gxwebsoft_core
          password: jdj7HYEdYHnYEFBy
          driver-class-name: com.mysql.cj.jdbc.Driver
          type: com.alibaba.druid.pool.DruidDataSource

  redis:
    database: 0
    host: 47.119.165.234
    port: 16379
    password: redis_WSDb88

# 日志配置
logging:
  file:
    name: websoft-modules.log
  level:
    root: WARN
    com.gxwebsoft: ERROR
    com.baomidou.mybatisplus: ERROR

socketio:
  host: 0.0.0.0 #IP地址

# 框架配置
config:
  # 生产环境接口
  server-url: https://server.websoft.top/api
#  upload-path: /www/wwwroot/file.ws/
  upload-path: /app/file/

  # 阿里云OSS云存储
  endpoint: https://oss-cn-shenzhen.aliyuncs.com
  accessKeyId: LTAI4GKGZ9Z2Z8JZ77c3GNZP
  accessKeySecret: BiDkpS7UXj72HWwDWaFZxiXjNFBNCM
  bucketName: oss-gxwebsoft
  bucketDomain: https://oss.wsdns.cn
  aliyunDomain: https://oss-gxwebsoft.oss-cn-shenzhen.aliyuncs.com
